Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.ldap
Class LdapQueryCreator

    java.lang.Object
      |
      +--org.apache.cocoon.processor.ldap.LdapQueryCreator

public class LdapQueryCreator
extends java.lang.Object

A class that can create an Ldap query. It's given a query to start with, plus a query_props table that contains parameters from the XML file, and the parameters table from cocoon that notably may contain a HttpServletRequest object keyed from "request".
adapted from Donald Ball's SQLProcessor code.

Version:
  1.0
Author:
  James Birchfield

Constructor Summary
`LdapQueryCreator()`

Method Summary
`static java.lang.String` | `getQuery(java.lang.String query, java.util.Properties query_props, java.util.Dictionary parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapQueryCreator

    public LdapQueryCreator()

Method Detail

### getQuery

    public static java.lang.String getQuery(java.lang.String query,
                                            java.util.Properties query_props,
                                            java.util.Dictionary parameters)
                                     throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.